Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115676 - Review Request: nodejs-grunt-html-validation - W3C html validation grunt plugin
Summary: Review Request: nodejs-grunt-html-validation - W3C html validation grunt plugin
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1115709
Blocks: nodejs-reviews 1115659
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:04 UTC by Ralph Bean
Modified: 2014-11-18 12:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-24 14:59:10 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-02 21:04:49 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-grunt-html-validation.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-grunt-html-validation-0.1.6-1.fc20.src.rpm

Description:
W3C html validation grunt plugin. Validate all files in a directory
automatically.

Comment 1 Tom Hughes 2014-10-22 20:24:32 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/tom/1115676-nodejs-grunt-html-
     validation/licensecheck.txt
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-grunt-html-validation-0.1.6-1.fc22.x86_64.rpm
          nodejs-grunt-html-validation-0.1.6-1.fc22.src.rpm
nodejs-grunt-html-validation.x86_64: E: no-binary
nodejs-grunt-html-validation.x86_64: W: only-non-binary-in-usr-lib
nodejs-grunt-html-validation.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-html-validation/node_modules/request /usr/lib/node_modules/request
nodejs-grunt-html-validation.x86_64: E: script-without-shebang /usr/lib/node_modules/grunt-html-validation/Gruntfile.js
nodejs-grunt-html-validation.x86_64: E: script-without-shebang /usr/lib/node_modules/grunt-html-validation/package.json
nodejs-grunt-html-validation.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-html-validation/node_modules/colors /usr/lib/node_modules/colors
nodejs-grunt-html-validation.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-html-validation/node_modules/w3cjs /usr/lib/node_modules/w3cjs
nodejs-grunt-html-validation.x86_64: E: script-without-shebang /usr/lib/node_modules/grunt-html-validation/tasks/html_validation.js
nodejs-grunt-html-validation.x86_64: W: spurious-executable-perm /usr/share/doc/nodejs-grunt-html-validation/LICENSE-MIT
2 packages and 0 specfiles checked; 4 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-grunt-html-validation
nodejs-grunt-html-validation.x86_64: E: no-binary
nodejs-grunt-html-validation.x86_64: W: only-non-binary-in-usr-lib
nodejs-grunt-html-validation.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-html-validation/node_modules/request /usr/lib/node_modules/request
nodejs-grunt-html-validation.x86_64: E: script-without-shebang /usr/lib/node_modules/grunt-html-validation/Gruntfile.js
nodejs-grunt-html-validation.x86_64: E: script-without-shebang /usr/lib/node_modules/grunt-html-validation/package.json
nodejs-grunt-html-validation.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-html-validation/node_modules/colors /usr/lib/node_modules/colors
nodejs-grunt-html-validation.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-html-validation/node_modules/w3cjs /usr/lib/node_modules/w3cjs
nodejs-grunt-html-validation.x86_64: E: script-without-shebang /usr/lib/node_modules/grunt-html-validation/tasks/html_validation.js
nodejs-grunt-html-validation.x86_64: W: spurious-executable-perm /usr/share/doc/nodejs-grunt-html-validation/LICENSE-MIT
1 packages and 0 specfiles checked; 4 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-grunt-html-validation (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(colors)
    npm(grunt)
    npm(request)
    npm(w3cjs)



Provides
--------
nodejs-grunt-html-validation:
    nodejs-grunt-html-validation
    nodejs-grunt-html-validation(x86-64)
    npm(grunt-html-validation)



Source checksums
----------------
http://registry.npmjs.org/grunt-html-validation/-/grunt-html-validation-0.1.6.tgz :
  CHECKSUM(SHA256) this package     : 3e494af0352861ad89db5fb5b254f3a439a84d29921a2e94608f4a9f81b58457
  CHECKSUM(SHA256) upstream package : 3e494af0352861ad89db5fb5b254f3a439a84d29921a2e94608f4a9f81b58457


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1115676
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Tom Hughes 2014-10-22 20:25:57 UTC
* Should be noarch
* Upstream has released 0.1.18 now
* No need to require npm modules manually
* Need to remove exec perm from package.json and LICENSE-MIT
* Does Gruntfile.js actually need to be in the package?

Comment 3 Ralph Bean 2014-10-23 19:31:13 UTC
New release includes latest upstream, builds as noarch, fixes those permissions, and removes unnecessary files (like Gruntfile.js).

Spec URL: http://threebean.org/rpm/SPECS/nodejs-grunt-html-validation.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-grunt-html-validation-0.1.18-1.fc20.src.rpm

Comment 4 Tom Hughes 2014-10-23 20:19:32 UTC
Sorry... I missed that tasks/html_validation.js has a bogus exec bit as well.

Comment 6 Tom Hughes 2014-10-24 13:16:55 UTC
Great. Package approved then.

Comment 7 Ralph Bean 2014-10-24 13:44:27 UTC
New Package SCM Request
=======================
Package Name: nodejs-grunt-html-validation
Short Description: W3C html validation grunt plugin
Upstream URL: https://npmjs.org/package/grunt-html-validation
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 8 Gwyn Ciesla 2014-10-24 13:59:34 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-10-24 14:40:54 UTC
nodejs-grunt-html-validation-0.1.18-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-grunt-html-validation-0.1.18-2.fc21

Comment 10 Fedora Update System 2014-10-24 14:41:04 UTC
nodejs-grunt-html-validation-0.1.18-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-grunt-html-validation-0.1.18-2.fc20

Comment 11 Fedora Update System 2014-10-24 14:41:13 UTC
nodejs-grunt-html-validation-0.1.18-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-grunt-html-validation-0.1.18-2.fc19

Comment 12 Ralph Bean 2014-10-24 14:59:10 UTC
Built in rawhide and buildroot overrides created.

Comment 13 Fedora Update System 2014-11-18 12:09:25 UTC
nodejs-grunt-html-validation-0.1.18-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2014-11-18 12:11:00 UTC
nodejs-grunt-html-validation-0.1.18-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2014-11-18 12:13:00 UTC
nodejs-grunt-html-validation-0.1.18-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.